%define upstream_name Horde_Date_Parser
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.2
Release:     	%mkrel 1
Summary:    	Horde Date Parser
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Date <= 2.0.0 
Requires:  	php-pear-Horde_Support <= 2.0.0 
Conflicts: 	php-pear-Horde_Date = 2.0.0
Conflicts:  	php-pear-Horde_Support = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Date_Parser	

%description
Library for natural-language date parsing, with support for multiple
languages and locales

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Date_Parser.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Date_Parser.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Date_Parser
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Date_Parser/*
%{peardir}/Horde/Date/Parser.php
%{peardir}/Horde/Date/Parser/Exception.php
%{peardir}/Horde/Date/Parser/Handler.php
%{peardir}/Horde/Date/Parser/Locale/Base.php
%{peardir}/Horde/Date/Parser/Locale/Base/Grabber.php
%{peardir}/Horde/Date/Parser/Locale/Base/Ordinal.php
%{peardir}/Horde/Date/Parser/Locale/Base/Pointer.php
%{peardir}/Horde/Date/Parser/Locale/Base/Repeater.php
%{peardir}/Horde/Date/Parser/Locale/Base/Scalar.php
%{peardir}/Horde/Date/Parser/Locale/Base/Separator.php
%{peardir}/Horde/Date/Parser/Locale/Base/Timezone.php
%{peardir}/Horde/Date/Parser/Locale/De.php
%{peardir}/Horde/Date/Parser/Locale/De/Grabber.php
%{peardir}/Horde/Date/Parser/Locale/De/Ordinal.php
%{peardir}/Horde/Date/Parser/Locale/De/Pointer.php
%{peardir}/Horde/Date/Parser/Locale/De/Repeater.php
%{peardir}/Horde/Date/Parser/Locale/De/Scalar.php
%{peardir}/Horde/Date/Parser/Locale/De/Separator.php
%{peardir}/Horde/Date/Parser/Locale/De/Timezone.php
%{peardir}/Horde/Date/Parser/Locale/Pt.php
%{peardir}/Horde/Date/Parser/Locale/Pt/Grabber.php
%{peardir}/Horde/Date/Parser/Locale/Pt/Ordinal.php
%{peardir}/Horde/Date/Parser/Locale/Pt/Pointer.php
%{peardir}/Horde/Date/Parser/Locale/Pt/Repeater.php
%{peardir}/Horde/Date/Parser/Locale/Pt/Scalar.php
%{peardir}/Horde/Date/Parser/Locale/Pt/Separator.php
%{peardir}/Horde/Date/Parser/Locale/Pt/Timezone.php
%{peardir}/Horde/Date/Parser/Result.php
%{peardir}/Horde/Date/Parser/Token.php
%{peardir}/tests/Horde_Date_Parser/Horde/Date/Parser/AllTests.php
%{peardir}/tests/Horde_Date_Parser/Horde/Date/Parser/HandlerTest.php
%{peardir}/tests/Horde_Date_Parser/Horde/Date/Parser/Locale/BaseTest.php
%{peardir}/tests/Horde_Date_Parser/Horde/Date/Parser/Locale/DeTest.php
%{peardir}/tests/Horde_Date_Parser/Horde/Date/Parser/ParserTest.php
%{peardir}/tests/Horde_Date_Parser/Horde/Date/Parser/ResultTest.php
%{peardir}/tests/Horde_Date_Parser/Horde/Date/Parser/TokenTest.php
%{xmldir}/Horde_Date_Parser.xml


%changelog

* Sat Dec 17 2011 spuhler <spuhler> 1.0.2-1.mga2
+ Revision: 183326
- upgrade to 1.0.2

* Mon Nov 28 2011 spuhler <spuhler> 1.0.1-1.mga2
+ Revision: 173315
- removed %%{peardir}/examples/Horde/Date/Parser/parse.php
- upgrade to 1.0.1
- imported package php-pear-Horde_Date_Parser

